Name:           fsam7440
Version:        0.4
Release:        1%{?dist}
Summary:        RF Kill switch software button for Fujitsu-Siemens

Group:          System Environment/Kernel
License:        GPLv2
URL:            http://fsam7440.sourceforge.net
Source0:        http://download.sourceforge.net/fsam7440/fsam7440-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	fsam7440-kmod-common = %{version}
Requires:	fsam7440-kmod >= %{version}
BuildArch:	noarch   

%description
This module allows change the status of wireless card's radio on 
Fujitsu-Siemens Amilo M 7440 and others.
This is the common part.

%prep
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT
cat > fsam7440.modprobe <<EOF
# kwizart fsam7440 wireless modprobe
options fsam7440 radio=1
## You can also use these Features (See the INSTALL file)
# options fsam7440 radio=1 uid=1000 gid=500
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 fsam7440.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/fsam7440

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG FILES LICENSE INSTALL README
%config(noreplace) %{_sysconfdir}/modprobe.d/fsam7440



%changelog
* Tue Aug 14 2007 kwizart < kwizart at gmail.com > - 0.4-1
- Initial Release.
